/*
 * Vstupni bod jadra operacniho systemu.
 *
 * Tento zdrojovy kod by mel mit prave jednu funkci, ktera je zavolana
 * po prepnuti do 32bitoveho rezimu. (Pokud by zdrojovy soubor obsahoval
 * dalsi funkce, muze je prekladac preskladat a dostaneme nezadouci chovani.)
 */

#include "term.h"
#include "util.h"

#include "irq.h"
#include "io.h"
#include "keyb.h"

void kernel_main()
{
	term_init();
	keyb_init();
	irq_init();
	kprint_color(2, 0);
	kprint("waiting...\r\n");

	while (1) {
	}
}

